/* 1d BTW sandpile animation (version 2.02 - Windows)
 * 
 * Copyright (C) 2005 N.R. Moloney 
 *
 * Distributed under the Qt Non-Commercial license version 1.0
 */

#include <qapplication.h>
#include <qfont.h>
#include <qwidget.h>

#include "btw1d.h"
  
///////////////////////////////////////////////////
 
int main( int argc, char *argv[] )
{
  QApplication app( argc, argv );
  QApplication::setFont( QFont( "helvetica", 12 ) );
 
  const unsigned int height = 700;
  const unsigned int width = 1000;

  Sandpile BTW;
  BTW.setGeometry( 0,50, width,height );
 
  app.setMainWidget( &BTW );
  BTW.setCaption( "BTW model in d = 1" );
  BTW.show();

  return app.exec();
}
